Name:		mnemosyne
Summary:	Flash-card learning tool
Version:	2.3.4
Release:	1%{?dist}
URL:		http://www.mnemosyne-proj.org/
Source0:	http://downloads.sourceforge.net/sourceforge/mnemosyne-proj/Mnemosyne-%{version}.tar.gz
Patch0:		mnemosyne-desktop.patch
License:	AGPLv3

BuildArch:	noarch
BuildRequires:	desktop-file-utils
BuildRequires:	python2-devel
BuildRequires:	python-setuptools
Requires:	hicolor-icon-theme
Requires:	PyQt4
Requires:	python-matplotlib-qt4
# Until bug #1219556 is fixed
Requires:	python-matplotlib-qt5
Requires:	python-cherrypy
Requires:	python-webob

%description
Mnemosyne resembles a traditional flash-card program but with an
important twist: it uses a sophisticated algorithm to schedule the best
time for a card to come up for review.

Optional dependencies:
* latex: enables entering formulas using latex syntax.

%prep
%setup -q -n Mnemosyne-%{version}
%patch0 -p1 -b .d

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --root %{buildroot}

install -d %{buildroot}%{_datadir}/applications
desktop-file-install --vendor="" \
	--dir=%{buildroot}%{_datadir}/applications \
	%{name}.desktop

install -d %{buildroot}/%{_datadir}/icons/hicolor/128x128/apps
pushd %{buildroot}/%{_datadir}/icons
mv %{name}.png hicolor/128x128/apps/%{name}.png
popd

%find_lang %{name}

%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files -f %{name}.lang
%doc ChangeLog README
# https://bugs.launchpad.net/mnemosyne-proj/+bug/1346903
# http://bazaar.launchpad.net/~peter-bienstman/mnemosyne-proj/trunk/view/head:/mnemosyne/mnemosyne/LICENSE
#%%doc docmnemosyne/libmnemosyne/LICENSE
%{_bindir}/%{name}
%{python2_sitelib}/mnemosyne
%{python2_sitelib}/Mnemosyne-%{version}-*.egg-info
%{python2_sitelib}/openSM2sync
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png

%changelog
* Tue Oct 06 2015 Jiri Popelka <jpopelka@redhat.com> - 2.3.4-1
- 2.3.4

* Wed Sep 30 2015 Jiri Popelka <jpopelka@redhat.com> - 2.3.3-2
- Requires: python-matplotlib-qt5 due to bug #1219556

* Tue Apr 14 2015 Jiri Popelka <jpopelka@redhat.com> - 2.3.3-1
- 2.3.3

* Wed Feb 25 2015 Jiri Popelka <jpopelka@redhat.com> - 2.3.2-1
- 2.3.2

* Thu Jun 19 2014 Jiri Popelka <jpopelka@redhat.com> - 2.3.1-1
- 2.3.1

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Apr 03 2014 Jiri Popelka <jpopelka@redhat.com> - 2.3-1
- 2.3

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Apr 15 2013 Jiri Popelka <jpopelka@redhat.com> - 2.2.1-1
- updated to 2.2.1 (no LICENSE file ?)

* Mon Jan 28 2013 Jiri Popelka <jpopelka@redhat.com> - 2.2-3.a
- python-matplotlib moved qt4 backend to -qt4 subpackage (#903760)

* Fri Jan 25 2013 Jiri Popelka <jpopelka@redhat.com> - 2.2-2.a
- updated to 2.2a

* Wed Dec 05 2012 Jiri Popelka <jpopelka@redhat.com> - 2.2-1
- updated to 2.2

* Thu Sep 13 2012 Jiri Popelka <jpopelka@redhat.com> - 2.1-1
- updated to 2.1

* Thu Aug 02 2012 Jiri Popelka <jpopelka@redhat.com> - 2.0.1-1
- updated to 2.0.1

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jun 18 2012 Jiri Popelka <jpopelka@redhat.com> - 2.0-1
- updated to 2.0

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Nov 17 2010 Jiri Popelka <jpopelka@redhat.com> - 1.2.2-3
- requires Python Imaging Library (PIL) (bug #654291)

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 1.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Wed Jul 07 2010 Dominik Mierzejewski <rpm@greysector.net> 1.2.2-1
- updated to 1.2.2
- upstream changelog: http://www.mnemosyne-proj.org/news.php

* Wed Aug 26 2009 Dominik Mierzejewski <rpm@greysector.net> 1.2.1-1
- updated to 1.2.1

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-3.r1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-2.r1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jan 27 2009 Dominik Mierzejewski <rpm@greysector.net> 1.2-1.r1
- updated to 1.2-r1, fixes https://bugs.launchpad.net/mnemosyne-proj/+bug/252152

* Tue Nov 11 2008 Dominik Mierzejewski <rpm@greysector.net> 1.1.1-3.r1
- fixed .desktop file comment to conform to GNOME HIG
- removed a redundant python setup.py install call
- moved the .desktop file category addition to the patch
- added missing hicolor-icon-theme-requires

* Fri Oct 03 2008 Dominik Mierzejewski <rpm@greysector.net> 1.1.1-2.r1
- updated to 1.1.1-r1
- dropped separate icon (fixed upstream)

* Thu Sep 11 2008 Dominik Mierzejewski <rpm@greysector.net> 1.1.1-1
- initial package
- include fixed icon from 1.1
